CONN_EXTRACT_PROTOCOLS(3)

FUNCTION
conn_extract_protocols - Get supported protocols.

SYNOPSIS
#include <karma_conn.h>

char ** conn_extract_protocols

()

DESCRIPTION
This routine will extract all the supported protocols and produces a dynamically allocated array of strings which may be later displayed.

RETURN VALUE
A pointer to a dynamically allocated array of dynamically allocated strings on success, else NULL. The end of the array is marked with a NULL string pointer.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/